QGIS Application - Bug report #8772
Deactivating a module in Modeler has no effect after the save and close of the model
2013-10-04 02:41 PM - Pedro Venancio

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17478
Description

Deactivating a module in Modeler only takes effect while the Modeler is open. From the moment you close Modeler, desabled modules are
automatically reactivated. If you reopen the model, they appear activated.

In the same way, if you run the model with the Modeler still open, it jumps the deactivated modules. If you run after closing, all modules are
executed.

Tested on Linux with QGIS 2.0.1.

History

#1 - 2013-10-17 02:30 AM - Filipe Dias
- Priority changed from Normal to Severe/Regression

Im going to change the priority of this bug because in complex models it is sometimes necessary to disable parts of the processing chain in order for them

to run successfully.

#2 - 2014-06-09 05:57 AM - Giovanni Manghi

I'm changing this to non-blocker for different reasons:

a blocker means a regression, this should not be the case, and then processing can be always updated as plugin update, so | don't think that even a huge

issue should block a qgis release.

#3 - 2014-06-09 05:57 AM - Giovanni Manghi
- Priority changed from Severe/Regression to High

#4 - 2014-10-04 12:16 PM - Giovanni Manghi
- Project changed from 78 to QGIS Application
- Category deleted (64)

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

#5 - 2014-10-04 12:17 PM - Giovanni Manghi
- Category set to Processing/Modeller

#6 - 2015-06-22 12:28 AM - Victor Olaya
- Status changed from Open to Closed

This is no longer true. Since the modeler was rewritten, the enabled/disabled state of algorithm is kept in the modeler file, and used when running it

| am closing this issue, since it should already be fixed

2025-04-27 22



